Page MenuHomePhabricator

Enable mobile-specific html to be rendered within Wikibase
Closed, ResolvedPublic

Description

We want to be able to render mobile-specific termbox html on the server, so we need to be able to swap out (parts of?) the EntityView depending on the type of device. The mobile-specific termbox html should be rendered by the external node service if the respective config variable is set, otherwise fall back to the standard termbox html.

Techincal notes:

  • the MobileFrontend extension has MobileContext::isMobileDevice
  • at the moment WB renders the same html, mobile or not
  • RepoHooks::onBeforePageDisplayMobile happens after the html is generated

Event Timeline

Jakob_WMDE triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2018, 3:10 PM
Jakob_WMDE claimed this task.
Addshore moved this task from incoming to in progress on the Wikidata board.Oct 16 2018, 1:49 PM

Change 468329 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Render different EntityTermsView for mobile devices

https://gerrit.wikimedia.org/r/468329

Change 469448 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Reduce Item/Property specific code used in EntityParserOutputGenerator

https://gerrit.wikimedia.org/r/469448

Change 469645 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Render new termbox for mobile devices

https://gerrit.wikimedia.org/r/469645

Change 469931 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] EntityViewPlaceholderExpander: method visibility

https://gerrit.wikimedia.org/r/469931

Change 469953 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] EntityDocumentView: let view control placeholders

https://gerrit.wikimedia.org/r/469953

Change 470608 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] LexemeView: return PlaceholderEnabledView

https://gerrit.wikimedia.org/r/470608

Change 471012 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseMediaInfo@master] View: adopt wikibase changes

https://gerrit.wikimedia.org/r/471012

Change 469645 abandoned by Jakob:
Render new termbox for mobile devices

Reason:
Split out into I65e085be0421b58adc615a98bc778ee3e928a1a1 I6d70aaf6fac2389e337592350c6db0faa53340b0 ff.

https://gerrit.wikimedia.org/r/469645

Change 469645 restored by Jakob:
Render new termbox for mobile devices

https://gerrit.wikimedia.org/r/469645

Change 468329 abandoned by Jakob:
Render different EntityTermsView for mobile devices

Reason:
Split out into I65e085be0421b58adc615a98bc778ee3e928a1a1 I6d70aaf6fac2389e337592350c6db0faa53340b0 ff.

https://gerrit.wikimedia.org/r/468329

Change 469448 merged by Addshore:
[mediawiki/extensions/Wikibase@master] Reduce Item/Property specific code used in EntityParserOutputGenerator

https://gerrit.wikimedia.org/r/469448

Change 469931 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] EntityViewPlaceholderExpander: method visibility

https://gerrit.wikimedia.org/r/469931

Change 471933 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseMediaInfo@master] MediaInfoView: adopt wikibase changes

https://gerrit.wikimedia.org/r/471933

Change 471012 merged by Addshore:
[mediawiki/extensions/WikibaseMediaInfo@master] view-factory-callback: adopt wikibase changes

https://gerrit.wikimedia.org/r/471012

Change 470608 merged by Jakob:
[mediawiki/extensions/WikibaseLexeme@master] LexemeView: return ViewContent

https://gerrit.wikimedia.org/r/470608

Change 469953 merged by Jakob:
[mediawiki/extensions/Wikibase@master] EntityDocumentView: let view control placeholders

https://gerrit.wikimedia.org/r/469953

Change 471933 merged by Jakob:
[mediawiki/extensions/WikibaseMediaInfo@master] MediaInfoView: adopt wikibase changes

https://gerrit.wikimedia.org/r/471933

Change 469645 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Render new termbox for mobile devices

https://gerrit.wikimedia.org/r/469645

Jakob_WMDE closed this task as Resolved.Nov 12 2018, 4:08 PM
Jakob_WMDE moved this task from Doing to Done on the Wikidata-Termbox-Iteration-4 board.